#ifndef _ASSERT_H_
#define _ASSERT_H_

#include <types.h>

/* ANSI compilers only version ! */

/* If NDEBUG is defined, do nothing.
   If not, and EXPRESSION is zero, print an error message and abort.  */

#ifdef	NDEBUG

#define assert(expr)		((void) 0)

#else /* NDEBUG */

extern void __assert __P((char *, char *, int));

#define assert(expr)	\
  ((void) ((expr) || (__assert (__STRING(expr),  __FILE__, __LINE__), 0)))

#endif /* NDEBUG */

extern void __errput __P((char *));

#endif /* _ASSERT_H_ */
