#ifndef _GRP_H_
#define _GRP_H_

#include <types.h>
#include <stdio.h>

/* FIXME */
#define GR_MAX_GROUPS	32
#define GR_MAX_MEMBERS	16

/* The group structure */
struct group {
	char	*gr_name;	/* Group name.	*/
	char	*gr_passwd;	/* Password.	*/
	gid_t	gr_gid; 	/* Group ID.	*/
	char	**gr_mem;	/* Member list. */
};

extern void setgrent(void);
extern void endgrent(void);
extern struct group *getgrent(void);

extern struct group *getgrgid(int gid);
extern struct group *getgrnam(char * name);

extern struct group *fgetgrent(FILE * file);

extern int setgroups(size_t n, int *groups);
extern int initgroups(char * user, int gid);

extern struct group * __getgrent(int grp_fd);

extern char *_path_group;

#endif /* _GRP_H_ */
