#ifndef _STRING_H_
#define _STRING_H_

/* FIXME */

#include <sys/types.h>
//#include <stddef.h>

/* Basic string functions */
extern size_t strlen(const char *__str);

extern char *strcat(char *, char *);
extern char *strcpy(char *, const char *);
extern int strcmp(const char *, const char *);

extern char *strncat(char *, const char *, size_t);
extern char *strncpy(char *, const char *, size_t);
extern int strncmp(char *, char *, size_t);

extern int stricmp(char *, char *);
extern strnicmp(char *, char *, size_t);

extern char *strchr(char *, int);
extern char *strrchr(char *, int);
extern char *strdup(char *);

/* Basic mem functions */
extern void *memcpy(void *, const void *, size_t);
extern void *memccpy(void *, void *, int, size_t);
extern void *memchr(void *, int, size_t);
extern void *memset(void *, int, size_t);
extern int memcmp(const void *, const void *, size_t);

extern void *memmove(void *, void *, size_t);

/* BSDisms */
#define index strchr
#define rindex strrchr
#define strcasecmp stricmp
#define strncasecmp strnicmp

/* Other common BSD functions */
char *strpbrk(char *, char *);
char *strsep(char **, char *);
char *strstr(char *, char *);
char *strtok(char *, char *);
size_t strcspn(char *, char *);
size_t strspn(char *, char *);

#endif		/* END OF DEFINITION	STRING.H */
