/* really simple copyin and copyout functions.
 * these should be implemented to catch invalid memory ranges.
 * since the MC68000 doesn't have an MMU, we can only do so much, as far
 * as memory protection and fault detection go. :(
 */

.text

.global copyout
/* copyout(void *dest, void *src, int count) */
copyout:
/* copyin(void *dest, void *src, int count) */
.global copyin
copyin:
	move	12(%sp),%d0	| count
	beq.s	1f		| count == 0
	move.l	4(%sp),%a0	| dest
	move.l	8(%sp),%a1	| src
	subq	#1,%d0
0:
	move.b	(%a1)+,(%a0)+
	dbra	%d0,0b
1:	rts
