#include <sys/punix.h>
#include <sys/proc.h>
#include <sys/glo.h>
#include <sys/process.h>
#include "assert.h"

/* FIXME: XXX */
void cpuidle(void) { }
int sendsig(struct proc *p, int sig)
{
	return 0;
}

void chksigs(void){}

STARTUP(struct proc *nextready())
{
	struct proc *pp = &P;
	struct proc *p = pp;
	
	/* return next ready proc or idle while no proc is ready */
	while (1) {
		if (++p >= &GLOBAL_proc[NR_PROC])
			p = &GLOBAL_proc[0];
		if (p->p_status == P_RUNNING)
			return p;
		if (p == pp)
			cpuidle();
	}
}

STARTUP(void nextproc())
{
	void chksigs(void);
	void switchthread(void **, void **);
	void **newspp;
	
	chksigs();	/* check if any signals are pending */
	
	newspp = &nextready()->p_sp;
	//assert(newsp);
	
	switchthread(&P.p_sp, newspp);
	P.p_status = P_RUNNING;
	GLOBAL_cputime = P.p_cpu;
}

#if 0
/* sleep until event */
psleep(event)
{
	++P.p_insys;
	P.p_waitfor = event; /* something like this */
	P.p_status = P_SLEEPING;
	nextproc();
	--P.p_insys;
}
#endif

STARTUP(void chkproctime(void))
{
	if (--GLOBAL_cputime <= 0
	  && !P.p_insys
	/*  && P.p_status == P_RUNNING*/) /* need this condition? */
		nextproc();
}
